Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Repo info
Activity
    Jose Garcia
    @josebalius
    charliedowler/gulp-flowtype#10
    Let me modify the readme
    Can you help me with the tests?
    Charlie Dowler
    @charliedowler
    @josebalius squashed :thumbsup:
    Jose Garcia
    @josebalius
    @charliedowler awesome, thanks! I'll submit a PR for the beep shortly with a beep flag.
    Charlie Dowler
    @charliedowler
    Thanks for your contributions
    Jose Garcia
    @josebalius
    np
    Charlie Dowler
    @charliedowler
    does npm run lint work ok for you?
    Jose Garcia
    @josebalius
    Yep
    ▶ npm run lint
    
    > gulp-flowtype@0.4.0 lint /Users/jgarcia/Sites/gulp-flowtype
    > jshint **.js && flow check --lib ./declarations/
    
    
    Found 0 errors
    Charlie Dowler
    @charliedowler
    I think the squash broke .flowconfig
    it reads [libs] instead of [lib] for me
    I'll ammend it
    Jose Garcia
    @josebalius
    Hmm it should be [libs]
    Charlie Dowler
    @charliedowler
    I'm getting Fatal error: exception Failure(".flowconfig:5 Unsupported config section: libs")
    when I run lint
    Jose Garcia
    @josebalius
    You probably don't have the latest flow
    Reinstall flowBin
    Charlie Dowler
    @charliedowler
    just did a brew install flow
    I think I need to restart terminal
    Charlie Dowler
    @charliedowler
    My squash screwed it up, looking into it
    if you pull down master and run it, does it work?
    Dw, it was flowBin @josebalius the squash is safe
    Jose Garcia
    @josebalius
    Cool, yeah it seems every time we need the latest flow we gotta reinstall flowBin
    Charlie Dowler
    @charliedowler
    @josebalius status doesn't support --all or --weak, any ideas?
    Jose Garcia
    @josebalius
    I think the check-contents idea along with status is a good solution.
    Dima
    @ptmt
    Does anyone still use Flow actively? Any experience to share? I wrote some, but it's my first blog post, would like to get any feedback: http://potomushto.com/2015/01/26/facebook-flow-on-server-and-client.html
    Charlie Dowler
    @charliedowler
    Interesting post @unknownexception, over the next few weeks I'm planning on bringing Flow to the product I work on. Your blog post gives a really nice overview to show the team.
    I've also updated the gulp-flowtype plugin to improve readability, I'd appreciate your opinion on it => https://github.com/charliedowler/gulp-flowtype/blob/master/index.js.
    Dima
    @ptmt
    @charliedowler I use up-to-date version of gulp-flowtype, it's awesome! Although, sometimes it's more convenient to get help from built-in text-editor support. Gulp-flowtype mostly used for a prebuild task at CI
    Looks like typed Javascript is widely coming. SoundScript, TypeScript, AtScript, Flow, you name it. I hope Facebook will manage to make it compatible as much as possible but stay with an advanced type inference system
    Oliver Weiler
    @helpermethod
    Anyone knows if it makes sense to use Flow in conjunction with JSHint? Is Flow a replacement for JSHint?
    Charlie Dowler
    @charliedowler
    @helpermethod from my understanding, you would use JSHint & Flow as two separate tools. Flow is not a replacement for JSHint, JSHint is for code quality rather than type checking. Hope that helps
    @unknownexception Remember that error handling you added? Would it be better to throw a gulp error instead of logging it out as if it were a flow error? The current way makes it harder to differentiate at a glance what type of issue it is.
    Dima
    @ptmt
    @charliedowler sure, It makes sense. Sorry for not responding, I'm going to enable notifications to gitter.
    Nico Hämäläinen
    @clooth
    is this chat still active? :D
    Charlie Dowler
    @charliedowler
    Still here, not getting any notifications though... Anything I can help you with @clooth ?
    Maksim Terekhin
    @Neurostep
    Hey @all! Are there any plans to update flow-bin dep to 0.16.x?
    Maksim Terekhin
    @Neurostep
    Ping ^^^
    Maksim Terekhin
    @Neurostep
    @/all ^^^
    Vamsi Ampolu
    @vamsiampolu
    I have an error when running flow with my project: http://stackoverflow.com/questions/38793890/flow-not-ignoring-errors
    Charlie Dowler
    @charliedowler
    @vamsiampolu Your link isn't working for me